Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class DataExtractionOption

    java.lang.Object
      org.eclipse.birt.report.engine.api.TaskOption
          org.eclipse.birt.report.engine.api.DataExtractionOption

All Implemented Interfaces:
  IDataExtractionOption, ITaskOption

    public class DataExtractionOption

extends TaskOption
implements IDataExtractionOption

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption
`options`

Fields inherited from interface org.eclipse.birt.report.engine.api.IDataExtractionOption
`ACTION_HANDLER, EXTENSION, IMAGE_HANDLER, INSTANCE_ID, LOCALE, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_STREAM`

Constructor Summary
`DataExtractionOption()`
`DataExtractionOption(java.util.Map options)`

Method Summary
`IHTMLActionHandler` | `getActionHandler()`
`java.lang.String` | `getExtension()` Get extension.
`IHTMLImageHandler` | `getImageHandler()`
`InstanceID` | `getInstanceID()`
`java.lang.String` | `getOutputFile()` Get output file name.
`java.lang.String` | `getOutputFormat()` Get output format.
`java.io.OutputStream` | `getOutputStream()` Get output stream.
`void` | `setActionHandler(IHTMLActionHandler actionHandler)`
`void` | `setExtension(java.lang.String extension)` Set extension id.
`void` | `setImageHandler(IHTMLImageHandler imageHandler)`
`void` | `setInstanceID(InstanceID iid)`
`void` | `setOutputFile(java.lang.String filename)` Set output file.
`void` | `setOutputFormat(java.lang.String format)` Set output format.
`void` | `setOutputStream(java.io.OutputStream out)` Set output stream.

Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption
`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Constructor Detail

### DataExtractionOption

    public DataExtractionOption()

### DataExtractionOption

    public DataExtractionOption(java.util.Map options)

Method Detail

### setExtension

    public void setExtension(java.lang.String extension)

  Set extension id.

  Specified by:
    `setExtension` in interface `IDataExtractionOption`
  Parameters:
    `extension` - extension id.

### setOutputFile

    public void setOutputFile(java.lang.String filename)

  Set output file.

  Specified by:
    `setOutputFile` in interface `IDataExtractionOption`
  Parameters:
    `filename` - name of the output file.

### setOutputFormat

    public void setOutputFormat(java.lang.String format)

  Set output format.

  Specified by:
    `setOutputFormat` in interface `IDataExtractionOption`
  Parameters:
    `format` - output format.

### setOutputStream

    public void setOutputStream(java.io.OutputStream out)

  Set output stream.

  Specified by:
    `setOutputStream` in interface `IDataExtractionOption`
  Parameters:
    `out` - output stream.

### getExtension

    public java.lang.String getExtension()

  Get extension.

  Specified by:
    `getExtension` in interface `IDataExtractionOption`

### getOutputFile

    public java.lang.String getOutputFile()

  Get output file name.

  Specified by:
    `getOutputFile` in interface `IDataExtractionOption`

### getOutputFormat

    public java.lang.String getOutputFormat()

  Get output format.

  Specified by:
    `getOutputFormat` in interface `IDataExtractionOption`

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Get output stream.

  Specified by:
    `getOutputStream` in interface `IDataExtractionOption`

### getActionHandler

    public IHTMLActionHandler getActionHandler()

  Specified by:
    `getActionHandler` in interface `IDataExtractionOption`

### getImageHandler

    public IHTMLImageHandler getImageHandler()

  Specified by:
    `getImageHandler` in interface `IDataExtractionOption`

### getInstanceID

    public InstanceID getInstanceID()

  Specified by:
    `getInstanceID` in interface `IDataExtractionOption`

### setActionHandler

    public void setActionHandler(IHTMLActionHandler actionHandler)

  Specified by:
    `setActionHandler` in interface `IDataExtractionOption`

### setImageHandler

    public void setImageHandler(IHTMLImageHandler imageHandler)

  Specified by:
    `setImageHandler` in interface `IDataExtractionOption`

### setInstanceID

    public void setInstanceID(InstanceID iid)

  Specified by:
    `setInstanceID` in interface `IDataExtractionOption`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.